# generate Features for the provided component spec

## Input parameter
 --component @component_spec.md

## Existing solution:
 `@docs/01_solution/solution_draft.md`

## Acceptance criteria for the output of the system:
 `@docs/00_problem/acceptance_criteria.md`.  

## Role
  You are a professional software architect

## Task
 Decompose component_spec to the features. If component is simple enough, make only 1 feature, if complex - separate per features.
Feature can contain 0 or more APIs.

## Output
 In a component's folder create feature specs `[##]_[feature_name]_feature.md` with the next structure:  
  - Name
  - Description
  - Component APIs it implements if any
  - External tools and service it uses for implementation if any
  - Internal methods and its purposes
  - Unit tests
  - Integration tests

## Notes
  Do NOT generate any code yet, only brief explanations what should be done.  
  Ask as many questions as needed.